<div id="content">
    <div class="row">
        <div class="author-info " *ngIf="!isLoading; else loader ">
            <div style="width:100%; ">
                <div style="float:left; width:25%; margin-right: 10px; margin-bottom: 10px; "><img [src]="book.imagePath " [alt]="book.title "></div>
                <div style="float:none; ">

                    <div class="head" *ngIf="!isLoading">
                        <h1> {{ book.title}} </h1>
                    </div>
                    <p>Author: <a [routerLink]="['/authors', book.author._id]" ng-mouseenter="color:#fcf88e" ng-mouseleave="color:#969547" placement="right" [ngbTooltip]="tooltipAuthor">{{ book.author.name }}</a></p>
                    <ng-template #tooltipAuthor>
                        <img class="tooltipImg" [src]="book.author.imagePath">
                        <h3 style="font-family: Lady; color: #f2fa86;"> {{ book.author.name }}</h3>
                        <p style="font-family: Lady; font-size: 15px"> {{ book.author.bio | slice:0:200 }}... </p>
                    </ng-template>
                    <p>Genre: <a [routerLink]="['/genres', book.genre._id]" ng-mouseenter="color:#fcf88e" ng-mouseleave="color:#969547" placement="right" [ngbTooltip]="tooltipGenre">{{ book.genre.name }}</a></p>
                    <ng-template #tooltipGenre>
                        <h3 style="font-family: Lady; color: #f2fa86;"> {{ book.genre.name }}</h3>
                        <p style="font-family: Lady; font-size: 15px"> {{ book.genre.description | slice:0:200 }}... </p>
                    </ng-template>
                    <p>
                        {{ book.description }}
                    </p>

                </div>
            </div>
        </div>

        <div *ngIf="!isLoading" class="buttons ">
            <app-book-rating [bookId]='book._id'> </app-book-rating>
            <button class="btn btn-dark " [routerLink]="['/books'] "> All Books</button>
            <button class="btn btn-dark" (click)="onAddToShelf()">Add to shelf</button>
            <button class="btn btn-dark" (click)="onSeeReviews()">See Reviews</button>
            <button class="btn btn-dark " [routerLink]="[ './discussions'] ">Discussions</button>

        </div>

        <ng-template #loader>
            <app-book-loader></app-book-loader>
        </ng-template>

        <div style="margin-top: 20px ">
            <router-outlet></router-outlet>
        </div>
    </div>
</div>